package me.Demon.DemonAntiEvent.Listener;

import me.Demon.DemonAntiEvent.Main;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.Sound;
import org.bukkit.block.Block;
import org.bukkit.entity.Entity;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockPlaceEvent;
import org.bukkit.event.entity.EntitySpawnEvent;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.ItemStack;

public class AntiRedStone implements Listener {

    @EventHandler
    public void onplace(BlockPlaceEvent e){
        Player p = e.getPlayer();
        Block block = e.getBlock();
        Location location = block.getLocation();
        if(location.getWorld().getName().equalsIgnoreCase("ASkyBlock_nether")){
            if(isRedStone(block.getType())){
                e.setCancelled(true);
                p.sendMessage( "§7[§6战争领域§7] §f因有玩家在该领域建造红石机造成卡服,故已停止建设红石项目." );
                p.playSound(p.getLocation(), Sound.ENTITY_BLAZE_DEATH, 0.5F, 1.5F);
            }
        }
    }

    public boolean isRedStone(Material material){
        if(material == Material.REDSTONE_BLOCK){
            return true;
        }
        if(material == Material.PISTON_BASE){
            return true;
        }
        if(material == Material.PISTON_STICKY_BASE){
            return true;
        }
        if(material == Material.REDSTONE_COMPARATOR_OFF){
            return true;
        }
        if(material == Material.REDSTONE_TORCH_ON){
            return true;
        }
        if(material == Material.DIODE_BLOCK_OFF){
            return true;
        }
        return false;
    }

    /*@EventHandler
    public void onEntitySpawn(EntitySpawnEvent event) {
        if (event.getEntityType() == EntityType.PIG_ZOMBIE) {
            int maxSpawnCount = 3;
            int currentSpawnCount = 0;
            for (Entity entity : event.getLocation().getChunk().getEntities()) {
                if (entity.getType() == EntityType.PIG_ZOMBIE) {
                    currentSpawnCount++;
                }
            }
            if (currentSpawnCount >= maxSpawnCount) {
                event.setCancelled(true);
            }
        }
    }*/
}
