package me.Demon.DemonAntiEvent.Listener;

import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.PrepareItemCraftEvent;
import org.bukkit.inventory.ItemStack;

public class AntiCraft implements Listener {

    @EventHandler
    public void onClick(PrepareItemCraftEvent e) {
        if ((e.getRecipe() == null) || (e.getRecipe().getResult() == null)) {
            return;
        }
        if (CheckISBlock(e.getRecipe().getResult())) {
            ItemStack item = e.getRecipe().getResult();
            item.setAmount(2);
            e.getInventory().setItem(0, item);
        }
    }
    /*判断合成物品的Type类型是否存在禁止合成列表中*/
    public static boolean CheckISBlock(ItemStack item){
        if(item.getType() == Material.DIRT){
            if(item.getDurability() == 1) {
                return true;
            }
        }
        return false;
    }
}
